Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I have 4 servers with Ubuntu 9.04

I want to install mysql-cluster 5.1 but the package in the ubuntu repository doeas not have ndb binaries.

What is the beast way to install mysql 5.1 with ndb binaries in ubuntu 9.04

share|improve this question

3 Answers 3

up vote 1 down vote accepted

The mysql website offers non-RPM binaries of their cluster server:

http://dev.mysql.com/downloads/cluster/7.0.html#Linux_(non_RPM_packages)

I've used their pre-packaged binaries in the past and they seem to be pretty easy to use. They are about as easy to install as it gets without using a package manager.

share|improve this answer

I'd say compile it yourself.

share|improve this answer

The Best Practice solution to this problem of "package X is not available (with the options I need) on my desired OS distribution" is:

"Build it yourself and make a package for your desired OS distribution and document the process of doing so."

Partial Reasoning:

  1. You are likely to want to repeat the process either on other machines in your environment or when you need to upgrade.
  2. You add to the wealth and usefulness of the communities of both the package (MySQL) and your OS distribution.
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.